#----------------------------------------------------------------------------bh-
# This RPM .spec file is part of the OpenHPC project.
#
# It may have been modified from the default version supplied by the underlying
# release package (if available) in order to apply patches, perform customized
# build/install configurations, and supply additional files to support
# desired integration conventions.
#
#----------------------------------------------------------------------------eh-

%include %{_sourcedir}/OHPC_macros
%{!?PROJ_DELIM: %define PROJ_DELIM -ohpc}

%define pname puppet-slurm

Name:       %{pname}%{PROJ_DELIM}
Version:    1.1.1
Release:    1.1
Summary:    A Puppet module for OpenHPC
License:    Apache License 2.0
URL:        https://github.com/openhpc/ohpc
Source0:    %{pname}-%{version}.tar.gz
Source1:    OHPC_macros
BuildArch:  noarch

BuildRoot: %{_tmppath}/%{pname}-%{version}-%{release}-root

%define installPath %{OHPC_ADMIN}/puppet/modules/slurm

Requires:   puppet


%description
A Puppet module used for installing, configuring and managing Slurm with OpenHPC.

%prep
%setup -qn %{pname}-%{version}

%install
mkdir -p %{buildroot}%{installPath}
cp -rp manifests/ %{buildroot}%{installPath}/manifests/
cp -rp spec/ %{buildroot}%{installPath}/spec/
cp -p Gemfile %{buildroot}%{installPath}/Gemfile
cp -p metadata.json %{buildroot}%{installPath}/metadata.json
cp -p Rakefile %{buildroot}%{installPath}/Rakefile

%files
%{OHPC_HOME}

%changelog
